IndexedRecord (Micro Focus COBOL Connector Class Library)
Keywords: com.microfocus.cobol.connector.cci.IndexedRecord class

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.microfocus.cobol.connector.cci
Class IndexedRecord

    java.lang.Object
      com.microfocus.cobol.connector.cci.IndexedRecord

All Implemented Interfaces:
  Cloneable, Collection, IndexedRecord, List, Record, Serializable

public class IndexedRecord
extends Object
implements IndexedRecord

See Also:
  Serialized Form

Constructor Summary
`IndexedRecord()` Create a new IndexedRecord instance
`IndexedRecord(String name)` Create a new IndexedRecord instance

Method Summary
`void` | `add(int index, Object element)` See java.util.List for documentation
`boolean` | `add(Object o)` See java.util.List for documentation
`boolean` | `addAll(Collection c)` See java.util.List for documentation
`boolean` | `addAll(int index, Collection c)` See java.util.List for documentation
`void` | `addElement(Object o)` See java.util.List for documentation
`int` | `capacity()` See java.util.List for documentation
`void` | `clear()` See java.util.List for documentation
`Object` | `clone()` clone the custom record instance.
`boolean` | `contains(Object elem)` See java.util.List for documentation
`boolean` | `containsAll(Collection c)` See java.util.List for documentation
`boolean` | `equals(Object other)` Is this record equal to the other record ?
`Object` | `get(int index)` See java.util.List for documentation
`String` | `getRecordName()` Get the record name.
`String` | `getRecordShortDescription()` Get a short description of the record.
`int` | `hashCode()` Return a hash code for the Custom Recod instance.
`int` | `indexOf(Object elem)` See java.util.List for documentation
`int` | `indexOf(Object elem, int index)` See java.util.List for documentation
`boolean` | `isEmpty()` See java.util.List for documentation
`Iterator` | `iterator()` See java.util.List for documentation
`Object` | `lastElement()` See java.util.List for documentation
`int` | `lastIndexOf(Object elem)` See java.util.List for documentation
`int` | `lastIndexOf(Object elem, int index)` See java.util.List for documentation
`ListIterator` | `listIterator()` See java.util.List for documentation
`ListIterator` | `listIterator(int index)` See java.util.List for documentation
`Object` | `remove(int index)` See java.util.List for documentation
`boolean` | `remove(Object o)` See java.util.List for documentation
`boolean` | `removeAll(Collection c)` See java.util.List for documentation
`boolean` | `retainAll(Collection c)` See java.util.List for documentation
`Object` | `set(int index, Object element)` See java.util.List for documentation
`void` | `setRecordName(String name)` Set the record name.
`void` | `setRecordShortDescription(String description)` Set the short descriptio of the record
`int` | `size()` See java.util.List for documentation
`List` | `subList(int fromIndex, int toIndex)` See java.util.List for documentation
`Object[]` | `toArray()` See java.util.List for documentation
`Object[]` | `toArray(Object[] a)` See java.util.List for documentation
`String` | `toString()` See java.util.List for documentation
`void` | `trimToSize()` See java.util.List for documentation

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IndexedRecord

    public IndexedRecord()

  Create a new IndexedRecord instance

### IndexedRecord

    public IndexedRecord(String name)

  Create a new IndexedRecord instance

Parameters:
  `name` - The name of the indexed record.

Method Detail

### getRecordName

    public String getRecordName()

  Get the record name.

  Specified by:
    `getRecordName` in interface `Record`
  Returns:
    The record name.

### setRecordName

    public void setRecordName(String name)

  Set the record name.

  Specified by:
    `setRecordName` in interface `Record`
  Parameters:
    `name` - The record name.

### getRecordShortDescription

    public String getRecordShortDescription()

  Get a short description of the record.

  Specified by:
    `getRecordShortDescription` in interface `Record`
  Returns:
    The short description of the record.

### setRecordShortDescription

    public void setRecordShortDescription(String description)

  Set the short descriptio of the record

  Specified by:
    `setRecordShortDescription` in interface `Record`
  Parameters:
    `description` - The short description of the record.

### equals

    public boolean equals(Object other)

  Is this record equal to the other record ?

  Specified by:
    `equals` in interface `Record`
  Parameters:
    `other` - The other record
  Returns:
    true if two instances are equal, false otherwise.

### hashCode

    public int hashCode()

  Return a hash code for the Custom Recod instance.

  Specified by:
    `hashCode` in interface `Record`
  Returns:
    The hascode for the Custom Recod instance.

### clone

    public Object clone()
                 throws CloneNotSupportedException

  clone the custom record instance.

  Specified by:
    `clone` in interface `Record`
  Returns:
    The cloned object
  Throws:
    `CloneNotSupportedException`

### add

    public void add(int index,
                    Object element)

  See java.util.List for documentation

  Specified by:
    `add` in interface `List`
  See Also:
    `List`

### add

    public boolean add(Object o)

  See java.util.List for documentation

  Specified by:
    `add` in interface `List`
  See Also:
    `List`

### addAll

    public boolean addAll(Collection c)

  See java.util.List for documentation

  Specified by:
    `addAll` in interface `List`
  See Also:
    `List`

### addAll

    public boolean addAll(int index,
                          Collection c)

  See java.util.List for documentation

  Specified by:
    `addAll` in interface `List`
  See Also:
    `List`

### addElement

    public void addElement(Object o)

  See java.util.List for documentation

  See Also:
    `List`

### capacity

    public int capacity()

  See java.util.List for documentation

  See Also:
    `List`

### clear

    public void clear()

  See java.util.List for documentation

  Specified by:
    `clear` in interface `List`
  See Also:
    `List`

### contains

    public boolean contains(Object elem)

  See java.util.List for documentation

  Specified by:
    `contains` in interface `List`
  See Also:
    `List`

### containsAll

    public boolean containsAll(Collection c)

  See java.util.List for documentation

  Specified by:
    `containsAll` in interface `List`
  See Also:
    `List`

### get

    public Object get(int index)

  See java.util.List for documentation

  Specified by:
    `get` in interface `List`
  See Also:
    `List`

### indexOf

    public int indexOf(Object elem)

  See java.util.List for documentation

  Specified by:
    `indexOf` in interface `List`
  See Also:
    `List`

### indexOf

    public int indexOf(Object elem,
                       int index)

  See java.util.List for documentation

  See Also:
    `List`

### isEmpty

    public boolean isEmpty()

  See java.util.List for documentation

  Specified by:
    `isEmpty` in interface `List`
  See Also:
    `List`

### iterator

    public Iterator iterator()

  See java.util.List for documentation

  Specified by:
    `iterator` in interface `List`
  See Also:
    `List`

### listIterator

    public ListIterator listIterator()

  See java.util.List for documentation

  Specified by:
    `listIterator` in interface `List`
  See Also:
    `List`

### listIterator

    public ListIterator listIterator(int index)

  See java.util.List for documentation

  Specified by:
    `listIterator` in interface `List`
  See Also:
    `List`

### lastElement

    public Object lastElement()

  See java.util.List for documentation

  See Also:
    `List`

### lastIndexOf

    public int lastIndexOf(Object elem)

  See java.util.List for documentation

  Specified by:
    `lastIndexOf` in interface `List`
  See Also:
    `List`

### lastIndexOf

    public int lastIndexOf(Object elem,
                           int index)

  See java.util.List for documentation

  See Also:
    `List`

### remove

    public Object remove(int index)

  See java.util.List for documentation

  Specified by:
    `remove` in interface `List`
  See Also:
    `List`

### remove

    public boolean remove(Object o)

  See java.util.List for documentation

  Specified by:
    `remove` in interface `List`
  See Also:
    `List`

### removeAll

    public boolean removeAll(Collection c)

  See java.util.List for documentation

  Specified by:
    `removeAll` in interface `List`
  See Also:
    `List`

### retainAll

    public boolean retainAll(Collection c)

  See java.util.List for documentation

  Specified by:
    `retainAll` in interface `List`
  See Also:
    `List`

### set

    public Object set(int index,
                      Object element)

  See java.util.List for documentation

  Specified by:
    `set` in interface `List`
  See Also:
    `List`

### size

    public int size()

  See java.util.List for documentation

  Specified by:
    `size` in interface `List`
  See Also:
    `List`

### subList

    public List subList(int fromIndex,
                        int toIndex)

  See java.util.List for documentation

  Specified by:
    `subList` in interface `List`
  See Also:
    `List`

### toArray

    public Object[] toArray()

  See java.util.List for documentation

  Specified by:
    `toArray` in interface `List`
  See Also:
    `List`

### toArray

    public Object[] toArray(Object[] a)

  See java.util.List for documentation

  Specified by:
    `toArray` in interface `List`
  See Also:
    `List`

### toString

    public String toString()

  See java.util.List for documentation

  See Also:
    `List`

### trimToSize

    public void trimToSize()

  See java.util.List for documentation

  See Also:
    `List`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Micro Focus International Limited. All rights reserved.
This document and the proprietary marks and names used herein are protected by international law.